with Ada.Command_Line;      use Ada.Command_Line;
with GNATCOLL.SQL.Postgres; use GNATCOLL.SQL;
with GNATCOLL.SQL.Sqlite;

with Task_Cursor;

procedure TC_Main is
   Test_Speed : constant Boolean :=
     Argument_Count = 1 and then Argument (1) = "--speed";
begin
   Task_Cursor
     (Sqlite.Setup ("test-task-cursors.sqlite", Cache_Support => True),
      Test_Speed);
   Task_Cursor (Postgres.Setup ("test", Cache_Support => True), Test_Speed);
end TC_Main;
